### Method

# St ShadowHelper paint

#### Declaration [src]

    void
    st_shadow_helper_paint (
      StShadowHelper* helper,
      ClutterPaintNode* node,
      ClutterActorBox* actor_box,
      uint8_t paint_opacity
    )

#### Description [src]

Paints the shadow associated with `helper` This must only be called from the implementation of ClutterActor::paint().

#### Parameters

`node`

  Type: `ClutterPaintNode`

  A `ClutterPaintNode`.

  The data is owned by the caller of the method.

`actor_box`

  Type: `ClutterActorBox`

  The bounding box of the shadow.

  The data is owned by the caller of the method.

`paint_opacity`

  Type: `uint8_t`

  The opacity at which the shadow is painted.